import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _MLImageSizeConstraint } from "./MLImageSizeConstraint.js";
export declare class _MLImageConstraint extends _NSObject {
    static alloc(): _MLImageConstraint;
    static new(): _MLImageConstraint;
    init(): _MLImageConstraint;
    /** The required or default height of the image */
    pixelsHigh(): number;
    /** The required or default width of the image */
    pixelsWide(): number;
    /** The accepted kCVPixelFormatType for the image. */
    pixelFormatType(): number;
    /** Detailed image size constraint */
    sizeConstraint(): _MLImageSizeConstraint;
}
export interface _MLImageConstraint extends _NSSecureCoding {
}
